com.ihr.xbrl.mapper.filters

## Interface XBRLFacetFilter

- All Known Implementing Classes:
    XBRLAndFilter, XBRLConceptNameFilter, XBRLContextFilter, XBRLCTimeFilter, XBRLCTimeFilter.DurationFilter, XBRLCTimeFilter.TimeFilter, XBRLCTimeFilter.XBRLCDurationAnyFilter, XBRLCTimeFilter.XBRLCDurationDurationFilter, XBRLCTimeFilter.XBRLCDurationLongestFilter, XBRLCTimeFilter.XBRLCDurationShortestFilter, XBRLCTimeFilter.XBRLCTimeAnyFilter, XBRLCTimeFilter.XBRLCTimeDateFilter, XBRLCTimeFilter.XBRLCTimeLatestFilter, XBRLCTimeFilter.XBRLCTimeOldestFilter, XBRLCTimeFilter.XBRLCTimeSameEndFilter, XBRLCTimeFilter.XBRLCTimeSameInstantFilter, XBRLCTimeFilter.XBRLCTimeSameStartFilter, XBRLExplicitDimensionDefaultFilter, XBRLExplicitDimensionFilter, XBRLExplicitDimensionScenarioFilter, XBRLExplicitDimensionSegmentFilter, XBRLFalseFilter, XBRLOrFilter, XBRLRefFilter, XBRLTimeFilter, XBRLTrueFilter

      public interface XBRLFacetFilter

  This is the description of the interface for facet filters on contexts.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `createFilterNode()` Returns a node representing the serialization of this filter so it can be created later from the node.
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `matches(XBRLFact fact, XBRLFilterContext context)` Return a boolean value indicating if the fact passes the filter.
    `void` | `setId(java.lang.String id)` Sets the id.

- - ### Method Detail

    - #### matches

          boolean matches(XBRLFact fact,
                        XBRLFilterContext context)

      Return a boolean value indicating if the fact passes the filter. true - match false - no match
      Parameters:
        `fact` - XBRLFact to test
        `context` - the context
      Returns:
        boolean

    - #### createFilterNode

          org.jdom.Element createFilterNode()
                                            throws LoaderException

      Returns a node representing the serialization of this filter so it can be created later from the node.
      Returns:
        org.jdom.Element
      Throws:
        `LoaderException` - the loader exception

    - #### getId

          java.lang.String getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          void setId(java.lang.String id)

      Sets the id.
      Parameters:
        `id` - the new id